Bug 461407 - Review Request: laf-plugin - Generic plugin framework for Java look-and-feels
Summary: Review Request: laf-plugin - Generic plugin framework for Java look-and-feels
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 469471
TreeView+ depends on / blocked
 
Reported: 2008-09-07 11:41 UTC by Simon
Modified: 2011-12-22 18:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-23 15:45:26 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Simon 2008-09-07 11:41:39 UTC
Spec URL: http://cassmodiah.fedorapeople.org/laf-plugin-1.0/laf-plugin.spec
SRPM URL: http://cassmodiah.fedorapeople.org/laf-plugin-1.0/laf-plugin-1.0-1.fc9.src.rpm
Description: The goal of this project is to provide a generic plugin framework for look-and-feels and define the interface of a common kind of plugins - the component plugins.


Note:
I tried to create javadoc, but I couldn't.

Comment 1 Mamoru TASAKA 2008-11-01 05:14:56 UTC
Currently this is marked as CLOSED WONTFIX by the submitter. 
mycae, would you want to take over this package? If so,
would you modify the srpm by the original submitter (if you want)
and upload the new srpm?

Comment 2 D Haley 2008-11-01 05:35:41 UTC
Do we need the javadoc? The package works fine as it is -- that's how I built skinlf. If anything needs to be done, I can give it a shot -- but I can't see any *major* issues with the package as it stands.

There has just recently been a new version released though.

Comment 3 Mamoru TASAKA 2008-11-01 06:46:52 UTC
(In reply to comment #2)
> Do we need the javadoc? 
Not necessary (if you think so)

> There has just recently been a new version released though.
Okay, then please upgrade.

Comment 4 D Haley 2008-11-01 07:49:17 UTC
OK looked at the project a bit more -- couldn't see any real changes, other than datestamps on their build. Anyway, the re-built srpm & spec file are available. 

Simon Wesp:
I hope you don't mind me hosting your work -- let me know if you are going to maintain -- I am assuming not due to "wontfix" tag.

Spec URL: http://dhd.selfip.com/427e/laf-plugin.spec
SRPM URL: http://dhd.selfip.com/427e/laf-plugin-1.0-1.fc9.src.rpm

Comment 5 Mamoru TASAKA 2008-11-01 12:43:03 UTC
(Reopening)

Comment 6 Mamoru TASAKA 2008-11-02 13:36:07 UTC
For -1:

* License
  - As some files in the source zip are under zlib,
    the license tag must be "BSD and zlib"

* Remove redundant %doc

* Release
  - I guess it is preferable that you bump the release
    number to 2 and add some comments in %changelog
    (because of maintainer change)

* Versioning, source zip
  - The source zip in the srpm differs from what I could download
    from the URL written as %SOURCE0:
-------------------------------------------------
90874 2008-09-06 05:41 laf-plugin-1.0-1.fc9.src/laf-plugin-all.zip
54511 2008-09-15 09:01 laf-plugin-all.zip
-------------------------------------------------
    Would you check this?

! Note
  Please change the release number every time you modify your spec file/srpm
  to avoid confusion.

CC-ing to Dominik, who may be the potentional sponsor of you.

Comment 7 Mamoru TASAKA 2008-11-12 17:05:06 UTC
ping?

Comment 8 D Haley 2008-11-13 09:16:03 UTC
I'm around, but I only have weekends to work on this -- and not all of those. Expect some updates this weekend.

Comment 9 D Haley 2008-11-16 03:43:53 UTC
Made changes as Per M. Tasaksa's recommendations:

* Sun Nov 16 2008 <mycae(a!t)yahoo.com> 2.0-1
- Remove doc macro, fix licence to include zlib. 
- Bump up version, due to maintainer change.


Spec URL: http://dhd.selfip.com/427e/laf-plugin.spec
SRPM URL: http://dhd.selfip.com/427e/laf-plugin-1.0-1.fc9.src.rpm

I re-downloaded the source file from SOURCE0 when building, so should be OK now.

Comment 11 Mamoru TASAKA 2008-11-16 07:35:27 UTC
Well,

- For license tag, as I said in my comment 6, it should be
  "BSD and zlib", not "BSD and ZLIB". ref:
  http://fedoraproject.org/wiki/Licensing

- Please fix changelog entry.
  Your last entry of %changelog says "2.0-1", which must be "1.0-2".

Then:
+ This package itself is okay with the issues above fixed.
+ As written on
  http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
  New packages to be sponsored are requested to either
  - submit another review request with enough quality
  - or do a pre-review of other person's review request.
  For your case, you have other review requests, which seem good
  to some extent 

---------------------------------------------------------
    This package (laf-plugin) is APPROVED by mtasaka
---------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. 

Then I guess Dominik will sponsor you (Dominik, is it okay?)

If you want to import this package into Fedora 8/9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

Comment 12 D Haley 2008-11-16 08:00:42 UTC
I think I have resolved the package.

In order to make sure all the package version numbers line up I have had to promot the package to version "4". 

Links:
Spec URL: http://dhd.selfip.com/427e/laf-plugin-4.spec
SRPM URL: http://dhd.selfip.com/427e/laf-plugin-1.0-4.fc9.src.rpm

I will attepmt to ensure that I have followed the prodcedures laid down in your comment above, and reply again.

Thankyou for your help.

Comment 13 D Haley 2008-11-16 08:37:36 UTC
I have applied for the packager group access, under the name "mycae". I have also succesfully built the package using koji.

koji build --scratch dist-f9 laf-plugin-1.0-4.fc9.src.rpm 
Uploading srpm: laf-plugin-1.0-4.fc9.src.rpm
[====================================] 100% 00:00:04  56.34 KiB  13.25 KiB/sec
Created task: 934894
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=934894
Watching tasks (this may be safely interrupted)...
934894 build (dist-f9, laf-plugin-1.0-4.fc9.src.rpm): free
934894 build (dist-f9, laf-plugin-1.0-4.fc9.src.rpm): free -> open (ppc7.fedora.phx.redhat.com)
  934895 buildArch (laf-plugin-1.0-4.fc9.src.rpm, noarch): open (xenbuilder2.fedora.redhat.com)
  934895 buildArch (laf-plugin-1.0-4.fc9.src.rpm, noarch): open (xenbuilder2.fedora.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
934894 build (dist-f9, laf-plugin-1.0-4.fc9.src.rpm): open (ppc7.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

Comment 14 Dominik 'Rathann' Mierzejewski 2008-11-16 12:44:48 UTC
(In reply to comment #13)
> I have applied for the packager group access, under the name "mycae".

Nice work. You are now sponsored.

Comment 15 Mamoru TASAKA 2008-11-16 17:00:39 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > I have applied for the packager group access, under the name "mycae".
> 
> Nice work. You are now sponsored.

Thanks.

mycae, please follow "Join" wiki again. Next you have to write CVS request
on this bug.

Comment 16 D Haley 2008-11-16 23:28:27 UTC
New Package CVS Request
=======================
Package Name: laf-plugin
Short Description: Native Look and Feel plugin for Java 
Owners: mycae
Branches: F-8 F-9 F-10
InitialCC:

Comment 17 Kevin Fenzi 2008-11-19 01:50:55 UTC
cvs done.

Comment 18 D Haley 2008-11-22 07:54:05 UTC
I appear to be having trouble with the make build targets for anything but the devel branch. F-8, F-9 and F-10 simply hang when executing make build. The devel branch works fine: http://koji.fedoraproject.org/koji/getfile?taskID=944896&name=srpm.log

Any advice would be appreciated.

Comment 19 Mamoru TASAKA 2008-11-22 15:23:41 UTC
It seems that you have not imported your srpm into F-10/9/8 branches yet.

Comment 20 Fedora Update System 2008-11-23 02:34:02 UTC
laf-plugin-1.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/laf-plugin-1.0-4.fc10

Comment 21 Fedora Update System 2008-11-23 02:34:05 UTC
laf-plugin-1.0-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/laf-plugin-1.0-4.fc9

Comment 22 D Haley 2008-11-23 02:36:44 UTC
The build fails for F8. I cannot determine why from the build logs.

http://koji.fedoraproject.org/koji/taskinfo?taskID=945616

Something to do with being unable to set up the noarch build architecture. I think.

Any advice?

Comment 23 Chitlesh GOORAH 2008-11-23 12:48:08 UTC
As for the F8 failed built, the log says:

DEBUG util.py:250:  No Package Found for java-devel >= 1:1.6.0

http://koji.fedoraproject.org/koji/getfile?taskID=945622&name=root.log

In accordance to: 
http://koji.fedoraproject.org/koji/packageinfo?packageID=1165

F8 has java-devel-1.5.0 from java-1.5.0-gcj-1.5.0.0-17.fc8

Comment 24 Mamoru TASAKA 2008-11-23 13:02:12 UTC
(In reply to comment #22)
> The build fails for F8. I cannot determine why from the build logs.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=945616
>
> Something to do with being unable to set up the noarch build architecture. I
> think.
> 
> Any advice?

java >= 1:1.6 is not available on Fedora. Fedora 8 uses java icedtea,
which has a virtual Provides "java = 1.7.0", which is lower than 1:1.6.0.

On F-9+ Fedora uses java openjdk, which has a virtual Provides "java = 1:1.6.0".
So if this package can build with java icedtea you can use "BR: java-devel >= 1.7"
instead (note: 1.7 is lower than 1:1.6.0"), however another note that
java icedtea (on Fedora 8) is not available on ppc64.

Comment 25 Mamoru TASAKA 2008-11-23 13:04:27 UTC
(In reply to comment #24)
> (In reply to comment #22)
> > The build fails for F8. I cannot determine why from the build logs.
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=945616
> >
> > Something to do with being unable to set up the noarch build architecture. I
> > think.
> > 
> > Any advice?
> 
> java >= 1:1.6 is not available on Fedora

on Fedora 8, I mean.

Comment 26 Mamoru TASAKA 2008-11-23 15:45:26 UTC
By the way if you don't want you don't have to rebuild laf-plugin on F-8
as F-8 support is near end.

Closing as NEXTRELEASE. When you think F-9/10 laf-plugin packages can be
moved from testing to stable, please revisit bodhi and edit (modify) your
push requests.

Comment 27 Fedora Update System 2008-12-13 14:56:31 UTC
laf-plugin-1.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2008-12-13 14:57:46 UTC
laf-plugin-1.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Orion Poplawski 2011-12-22 18:20:28 UTC
I'd like to see this in epel 6.  mycae - are you willing to maintain it or shall I?


Note You need to log in before you can comment on or make changes to this bug.